<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<title>TXT2TAGS SAMPLE</title>
<meta name="generator" content="https://txt2tags.org">
<meta name="viewport" content="width=device-width, initial-scale=1" />
<style>
blockquote{margin: 1em 2em; border-left: 2px solid #999;
  font-style: oblique; padding-left: 1em;}
blockquote:first-letter{margin: .2em .1em .1em 0; font-size: 160%; font-weight: bold;}
blockquote:first-line{font-weight: bold;}
body{font-family: sans-serif;}
hr{background-color:#000;border:0;color:#000;}
hr.heavy{height:2px;}
hr.light{height:1px;}
img{border:0;display:block;}
img.right{margin:0 0 0 auto;}
img.center{border:0;margin:0 auto;}
table{border-collapse: collapse;}
table th,table td{padding: 3px 7px 2px 7px;}
table th{background-color: lightgrey;}
table.center{margin-left:auto; margin-right:auto;}
.center{text-align:center;}
.right{text-align:right;}
.left{text-align:left;}
.tableborder,.tableborder td,.tableborder th{border:1px solid #000;}
.underline{text-decoration:underline;}
</style>
</head>
<body>
<header>
<hgroup>
<h1>TXT2TAGS SAMPLE</h1>
<h2>Aurelio Jargas</h2>
</hgroup>
</header>


<div class="body">

<section>
<h1>Introduction</h1>

<p>
Welcome to the txt2tags sample file.
</p>
<p>
Here you have examples and a brief explanation of all
marks.
</p>
<p>
The first 3 lines of the this file are used as headers,
on the following format:
</p>

<pre>
line1: document title
line2: author name, email
line3: date, version
</pre>

<p>
Lines with balanced equal signs = around are titles.
</p>

</section>
<section>
<h1>Fonts and Beautifiers</h1>

<p>
We have two sets of fonts:
</p>
<p>
The NORMAL type that can be improved with beautifiers.
</p>
<p>
The TYPEWRITER type that uses monospaced font for
pre-formatted text.
</p>
<p>
We will now enter on a subtitle...
</p>

<section>
<h2>Beautifiers</h2>

<p>
The text marks for beautifiers are simple, just as you
type on a plain text email message.
</p>
<p>
We use double *, /, - and _ to represent <strong>bold</strong>,
<em>italic</em>, <del>strike</del> and <span class="underline">underline</span>.
</p>
<p>
The <strong><em>bold italic</em></strong> style is also supported as a
combination.
</p>

</section>
<section>
<h2>Pre-Formatted Text</h2>

<p>
We can put a code sample or other pre-formatted text:
</p>

<pre>
  here    is     pre-formatted
//marks// are  **not**  ``interpreted``
</pre>

<p>
And also, it's easy to put a one line pre-formatted
text:
</p>

<pre>
prompt$ ls /etc
</pre>

<p>
Or use <code>pre-formatted</code> inside sentences.
</p>

</section>
<section>
<h2>More Cosmetics</h2>

<p>
Special entities like email (<a href="mailto:duh@somewhere.com">duh@somewhere.com</a>) and
URL (<a href="http://www.duh.com">http://www.duh.com</a>) are detected automagically,
as well as horizontal lines:
</p>

<hr class="light">

<hr class="heavy">

<p>
You can also specify an <a href="http://duh.org">explicit link</a>
with label.
</p>
<p>
And remember,
</p>
	<blockquote>
	A TAB in front of the line does a quotation.
		<blockquote>
		More TABs, more depth (if allowed).
		</blockquote>
	</blockquote>
<p>
Nice.
</p>

</section>
</section>
<section>
<h1>Lists</h1>

<p>
A list of items is natural, just putting a <strong>dash</strong> or
a <strong>plus</strong> at the beginning of the line.
</p>

<section>
<h2>Plain List</h2>

<p>
The dash is the default list identifier. For sublists,
just add <strong>spaces</strong> at the beginning of the line. More
spaces, more sublists.
</p>

<ul>
<li>earth
  <ul>
  <li>america
    <ul>
    <li>south america
      <ul>
      <li>brazil
        <ul>
        <li>how deep can i go?
        </li>
        </ul>
      </li>
      </ul>
    </li>
    </ul>
  </li>
  <li>europe
    <ul>
    <li>lots of countries
    </li>
    </ul>
  </li>
  </ul>
</li>
<li>mars
  <ul>
  <li>who knows?
  </li>
  </ul>
</li>
</ul>

<p>
The list ends with <strong>two</strong> consecutive blank lines.
</p>

</section>
<section>
<h2>Numbered List</h2>

<p>
The same rules as the plain list, just a different
identifier (plus).
</p>

<ol>
<li>one
</li>
<li>two
</li>
<li>three
  <ul>
  <li>mixed lists!
  </li>
  <li>what a mess
    <ol>
    <li>counting again
    </li>
    <li>...
    </li>
    </ol>
  </li>
  </ul>
</li>
<li>four
</li>
</ol>

</section>
<section>
<h2>Definition List</h2>

<p>
The definition list identifier is a colon, followed by
the term. The term contents is placed on the next line.
</p>

<dl>
<dt>orange</dt><dd>
  a yellow fruit
</dd>
<dt>apple</dt><dd>
  a green or red fruit
</dd>
<dt>other fruits</dt><dd>
  <ul>
  <li>wee!
  </li>
  <li>mixing lists
    <ol>
    <li>again!
    </li>
    <li>and again!
    </li>
    </ol>
  </li>
  </ul>
</dd>
</dl>

</section>
</section>
<section>
<h1>Tables</h1>

<p>
Use pipes to compose table rows and cells.
Double pipe at the line beginning starts a heading row.
Natural spaces specify each cell alignment.
</p>

<table style="margin-left: auto; margin-right: auto;" class="tableborder">
<tr>
<th>heading 1</th>
<th>heading 2</th>
<th>heading 3</th>
</tr>
<tr>
<td>cell 1.1</td>
<td class="center">cell 1.2</td>
<td class="right">cell 1.3</td>
</tr>
<tr>
<td>cell 2.1</td>
<td class="center">cell 2.2</td>
<td class="right">cell 2.3</td>
</tr>
</table>

<p>
Without the last pipe, no border:
</p>

<table style="margin-left: auto; margin-right: auto;">
<tr>
<th>heading 1</th>
<th>heading 2</th>
<th>heading 3</th>
</tr>
<tr>
<td>cell 1.1</td>
<td class="center">cell 1.2</td>
<td class="right">cell 1.3</td>
</tr>
<tr>
<td>cell 2.1</td>
<td class="center">cell 2.2</td>
<td class="right">cell 2.3</td>
</tr>
</table>

</section>
<section>
<h1>Special Entities</h1>

<p>
Because things were too simple.
</p>

<section>
<h2>Images</h2>

<p>
The image mark is as simple as it can be: <code>[filename]</code>.
</p>
<p>
<img class="center" src="img/photo.jpg" alt="">
</p>

<ul>
<li>The filename must end in PNG, JPG, GIF, or similar.
</li>
<li>No spaces inside the brackets!
</li>
</ul>

<hr class="light">

<p>
<img class="center" src="img/t2tpowered.png" alt="">
</p>
</section>
</section>
</div>

</body></html>
